summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-08-19 20:17:55 +0000
committer Eric Hameleers <alien@slackware.com>2023-08-19 23:00:36 +0200
commit871f13af530b211c1fc4bc46681808996ae22825 (patch)
treed7eb53be851777fa0694727a11702b2eaada7e32 /source
parent670759455eebdeebc5f4d314b629e1cea4b7885d (diff)
downloadcurrent-871f13af530b211c1fc4bc46681808996ae22825.tar.gz
current-871f13af530b211c1fc4bc46681808996ae22825.tar.xz
Sat Aug 19 20:17:55 UTC 202320230819201755
ap/rpm-4.18.1-x86_64-1.txz: Upgraded. Compiled against lua-5.4.6. d/lua-5.4.6-x86_64-1.txz: Added. Thanks to SBo, including: Menno Duursma, Aaron W. Hsu, and Matteo Bernardini. d/vala-0.56.12-x86_64-1.txz: Upgraded. l/netpbm-11.03.03-x86_64-1.txz: Upgraded. xap/hexchat-2.16.1-x86_64-5.txz: Rebuilt. Recompiled against lua-5.4.6. Added lua plugin.
Diffstat (limited to 'source')
-rw-r--r--source/ap/rpm/1688.patch87
-rwxr-xr-xsource/ap/rpm/rpm.SlackBuild62
-rw-r--r--source/ap/rpm/rpm.install4j.compat.diff53
-rwxr-xr-xsource/d/lua/lua.SlackBuild124
-rw-r--r--source/d/lua/lua.pc31
-rw-r--r--source/d/lua/lua.url1
-rw-r--r--source/d/lua/slack-desc19
-rwxr-xr-xsource/xap/hexchat/hexchat.SlackBuild6
8 files changed, 216 insertions, 167 deletions
diff --git a/source/ap/rpm/1688.patch b/source/ap/rpm/1688.patch
deleted file mode 100644
index 255605b0a..000000000
--- a/source/ap/rpm/1688.patch
+++ /dev/null
@@ -1,87 +0,0 @@
-From 05fbec89be5a3f582b51b8ca39030346b12cf1f6 Mon Sep 17 00:00:00 2001
-From: Panu Matilainen <pmatilai@redhat.com>
-Date: Tue, 25 May 2021 14:07:18 +0300
-Subject: [PATCH] Fix regression reading rpm v3 and other rare packages (#1635)
-
-Commit d6a86b5e69e46cc283b1e06c92343319beb42e21 introduced far stricter
-checks on what tags are allowed in signature and main headers than rpm
-had previously seen, and unsurprisingly this introduced some regressions
-on less common cases:
-
-- On rpm v3 packages and some newer 3rd party created packages (such as
- install4j < 9.0.2), RPMTAG_ARCHIVESIZE resides in the main header
- to begin with
-- In rpm 4.13 - 4.14, file IMA signatures were incorrectly placed in
- the main header.
-
-As a quirk, permit the existence of RPMTAG_ARCHIVESIZE,
-RPMTAG_FILESIGNATURES and RPMTAG_FILESIGNATURELENGTH in the main header
-too provided that the corresponding signature tag is not there (so
-they can reside in either but not both headers).
-
-Initial workaround patch by Demi Marie Obenour.
-
-Fixes: #1635
----
- lib/package.c | 39 ++++++++++++++++++++++-----------------
- 1 file changed, 22 insertions(+), 17 deletions(-)
-
-diff --git a/lib/package.c b/lib/package.c
-index 7e6174690b..4b6b164979 100644
---- a/lib/package.c
-+++ b/lib/package.c
-@@ -35,23 +35,24 @@ struct taglate_s {
- rpmTagVal stag;
- rpmTagVal xtag;
- rpm_count_t count;
-+ int quirk;
- } const xlateTags[] = {
-- { RPMSIGTAG_SIZE, RPMTAG_SIGSIZE, 1 },
-- { RPMSIGTAG_PGP, RPMTAG_SIGPGP, 0 },
-- { RPMSIGTAG_MD5, RPMTAG_SIGMD5, 16 },
-- { RPMSIGTAG_GPG, RPMTAG_SIGGPG, 0 },
-- /* { RPMSIGTAG_PGP5, RPMTAG_SIGPGP5, 0 }, */ /* long obsolete, dont use */
-- { RPMSIGTAG_PAYLOADSIZE, RPMTAG_ARCHIVESIZE, 1 },
-- { RPMSIGTAG_FILESIGNATURES, RPMTAG_FILESIGNATURES, 0 },
-- { RPMSIGTAG_FILESIGNATURELENGTH, RPMTAG_FILESIGNATURELENGTH, 1 },
-- { RPMSIGTAG_VERITYSIGNATURES, RPMTAG_VERITYSIGNATURES, 0 },
-- { RPMSIGTAG_VERITYSIGNATUREALGO, RPMTAG_VERITYSIGNATUREALGO, 1 },
-- { RPMSIGTAG_SHA1, RPMTAG_SHA1HEADER, 1 },
-- { RPMSIGTAG_SHA256, RPMTAG_SHA256HEADER, 1 },
-- { RPMSIGTAG_DSA, RPMTAG_DSAHEADER, 0 },
-- { RPMSIGTAG_RSA, RPMTAG_RSAHEADER, 0 },
-- { RPMSIGTAG_LONGSIZE, RPMTAG_LONGSIGSIZE, 1 },
-- { RPMSIGTAG_LONGARCHIVESIZE, RPMTAG_LONGARCHIVESIZE, 1 },
-+ { RPMSIGTAG_SIZE, RPMTAG_SIGSIZE, 1, 0 },
-+ { RPMSIGTAG_PGP, RPMTAG_SIGPGP, 0, 0 },
-+ { RPMSIGTAG_MD5, RPMTAG_SIGMD5, 16, 0 },
-+ { RPMSIGTAG_GPG, RPMTAG_SIGGPG, 0, 0 },
-+ /* { RPMSIGTAG_PGP5, RPMTAG_SIGPGP5, 0, 0 }, */ /* long obsolete, dont use */
-+ { RPMSIGTAG_PAYLOADSIZE, RPMTAG_ARCHIVESIZE, 1, 1 },
-+ { RPMSIGTAG_FILESIGNATURES, RPMTAG_FILESIGNATURES, 0, 1 },
-+ { RPMSIGTAG_FILESIGNATURELENGTH, RPMTAG_FILESIGNATURELENGTH, 1, 1 },
-+ { RPMSIGTAG_VERITYSIGNATURES, RPMTAG_VERITYSIGNATURES, 0, 0 },
-+ { RPMSIGTAG_VERITYSIGNATUREALGO, RPMTAG_VERITYSIGNATUREALGO, 1, 0 },
-+ { RPMSIGTAG_SHA1, RPMTAG_SHA1HEADER, 1, 0 },
-+ { RPMSIGTAG_SHA256, RPMTAG_SHA256HEADER, 1, 0 },
-+ { RPMSIGTAG_DSA, RPMTAG_DSAHEADER, 0, 0 },
-+ { RPMSIGTAG_RSA, RPMTAG_RSAHEADER, 0, 0 },
-+ { RPMSIGTAG_LONGSIZE, RPMTAG_LONGSIGSIZE, 1, 0 },
-+ { RPMSIGTAG_LONGARCHIVESIZE, RPMTAG_LONGARCHIVESIZE, 1, 0 },
- { 0 }
- };
-
-@@ -69,8 +70,12 @@ rpmTagVal headerMergeLegacySigs(Header h, Header sigh, char **msg)
-
- for (xl = xlateTags; xl->stag; xl++) {
- /* There mustn't be one in the main header */
-- if (headerIsEntry(h, xl->xtag))
-+ if (headerIsEntry(h, xl->xtag)) {
-+ /* Some tags may exist in either header, but never both */
-+ if (xl->quirk && !headerIsEntry(sigh, xl->stag))
-+ continue;
- goto exit;
-+ }
- }
-
- rpmtdReset(&td);
diff --git a/source/ap/rpm/rpm.SlackBuild b/source/ap/rpm/rpm.SlackBuild
index 45d4ad48c..4cadb9d4c 100755
--- a/source/ap/rpm/rpm.SlackBuild
+++ b/source/ap/rpm/rpm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018, 2019, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rpm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -95,12 +95,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Fix for non-compliant RPMs created by install4j:
-zcat $CWD/rpm.install4j.compat.diff.gz | patch -p1 --verbose || exit 1
-
-# We need to do this since there's a bugfix for python3.10 detection in
-# the latest automake:
-autoreconf -vif
+## We need to do this since there's a bugfix for python3.10 detection in
+## the latest automake:
+#autoreconf -vif
# We have to tell it where to find NSS and NSPR
# Also, --enable-sqlite3 needs "-ldl" in LDFLAGS
@@ -118,7 +115,6 @@ LDFLAGS="-ldl" \
--enable-broken-chown \
--without-hackingdocs \
--without-selinux \
- --without-lua \
--without-dmalloc \
--enable-sqlite3 \
--build=$ARCH-slackware-linux || exit 1
@@ -126,11 +122,28 @@ LDFLAGS="-ldl" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-cd python
- # python2 dropped dropped as obsolete.
- #python setup.py install --root=$PKG || exit 1
- python3 setup.py install --root=$PKG || exit 1
-cd -
+# Put this in the system directory:
+mkdir $PKG/usr/share
+mv $PKG/etc/dbus-1 $PKG/usr/share
+rmdir $PKG/etc
+
+# It seems this doesn't work...
+#make install-man DESTDIR=$PKG || exit 1
+for dir in . fr ja ko pl ru sk ; do
+ if /bin/ls docs/man/$dir/*.1 1> /dev/null 2> /dev/null ; then
+ mkdir -p $PKG/usr/man/$dir/man1
+ cp -a docs/man/$dir/*.1 $PKG/usr/man/$dir/man1
+ fi
+ if /bin/ls docs/man/$dir/*.8 1> /dev/null 2> /dev/null ; then
+ mkdir -p $PKG/usr/man/$dir/man8
+ cp -a docs/man/$dir/*.8 $PKG/usr/man/$dir/man8
+ fi
+done
+
+# Fails, looks like it did this already
+#cd python
+# python3 setup.py install --root=$PKG || exit 1
+#cd -
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
@@ -146,11 +159,12 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
# Here's a bug - /var/tmp should NOT have mode 0755
rmdir $PKG/var/tmp || exit 1
-# Compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \+
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
# Initialize a dummy package database
mkdir -p $PKG/var/lib/rpm/tmp
@@ -159,15 +173,15 @@ zcat $CWD/Packages.gz > $PKG/var/lib/rpm/tmp/Packages
# Install docs
mkdir -p $PKG/usr/doc/rpm-$VERSION
cp -a \
- COPYING* CREDITS GROUPS INSTALL README* TODO doc/manual \
+ COPYING* CREDITS* GROUPS* INSTALL* README* TODO* doc/manual \
$PKG/usr/doc/rpm-$VERSION
-# If there's a CHANGES file, installing at least part of the recent history
+# If there's a ChangeLog file, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
-if [ -r CHANGES ]; then
+if [ -r ChangeLog ]; then
DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
- cat CHANGES | head -n 1000 > $DOCSDIR/CHANGES
- touch -r CHANGES $DOCSDIR/CHANGES
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
fi
mkdir -p $PKG/install
diff --git a/source/ap/rpm/rpm.install4j.compat.diff b/source/ap/rpm/rpm.install4j.compat.diff
deleted file mode 100644
index 1ceba1634..000000000
--- a/source/ap/rpm/rpm.install4j.compat.diff
+++ /dev/null
@@ -1,53 +0,0 @@
---- ./lib/package.c.orig 2021-03-22 05:05:07.312635983 -0500
-+++ ./lib/package.c 2021-11-30 12:48:31.637122803 -0600
-@@ -35,21 +35,22 @@
- rpmTagVal stag;
- rpmTagVal xtag;
- rpm_count_t count;
-+ int quirk;
- } const xlateTags[] = {
-- { RPMSIGTAG_SIZE, RPMTAG_SIGSIZE, 1 },
-- { RPMSIGTAG_PGP, RPMTAG_SIGPGP, 0 },
-- { RPMSIGTAG_MD5, RPMTAG_SIGMD5, 16 },
-- { RPMSIGTAG_GPG, RPMTAG_SIGGPG, 0 },
-- /* { RPMSIGTAG_PGP5, RPMTAG_SIGPGP5, 0 }, */ /* long obsolete, dont use */
-- { RPMSIGTAG_PAYLOADSIZE, RPMTAG_ARCHIVESIZE, 1 },
-- { RPMSIGTAG_FILESIGNATURES, RPMTAG_FILESIGNATURES, 0 },
-- { RPMSIGTAG_FILESIGNATURELENGTH, RPMTAG_FILESIGNATURELENGTH, 1 },
-- { RPMSIGTAG_SHA1, RPMTAG_SHA1HEADER, 1 },
-- { RPMSIGTAG_SHA256, RPMTAG_SHA256HEADER, 1 },
-- { RPMSIGTAG_DSA, RPMTAG_DSAHEADER, 0 },
-- { RPMSIGTAG_RSA, RPMTAG_RSAHEADER, 0 },
-- { RPMSIGTAG_LONGSIZE, RPMTAG_LONGSIGSIZE, 1 },
-- { RPMSIGTAG_LONGARCHIVESIZE, RPMTAG_LONGARCHIVESIZE, 1 },
-+ { RPMSIGTAG_SIZE, RPMTAG_SIGSIZE, 1, 0 },
-+ { RPMSIGTAG_PGP, RPMTAG_SIGPGP, 0, 0 },
-+ { RPMSIGTAG_MD5, RPMTAG_SIGMD5, 16, 0 },
-+ { RPMSIGTAG_GPG, RPMTAG_SIGGPG, 0, 0 },
-+ /* { RPMSIGTAG_PGP5, RPMTAG_SIGPGP5, 0, 0 }, */ /* long obsolete, dont use */
-+ { RPMSIGTAG_PAYLOADSIZE, RPMTAG_ARCHIVESIZE, 1, 1 },
-+ { RPMSIGTAG_FILESIGNATURES, RPMTAG_FILESIGNATURES, 0, 1 },
-+ { RPMSIGTAG_FILESIGNATURELENGTH, RPMTAG_FILESIGNATURELENGTH, 1, 1 },
-+ { RPMSIGTAG_SHA1, RPMTAG_SHA1HEADER, 1, 0 },
-+ { RPMSIGTAG_SHA256, RPMTAG_SHA256HEADER, 1, 0 },
-+ { RPMSIGTAG_DSA, RPMTAG_DSAHEADER, 0, 0 },
-+ { RPMSIGTAG_RSA, RPMTAG_RSAHEADER, 0, 0 },
-+ { RPMSIGTAG_LONGSIZE, RPMTAG_LONGSIGSIZE, 1, 0 },
-+ { RPMSIGTAG_LONGARCHIVESIZE, RPMTAG_LONGARCHIVESIZE, 1, 0 },
- { 0 }
- };
-
-@@ -67,8 +68,12 @@
-
- for (xl = xlateTags; xl->stag; xl++) {
- /* There mustn't be one in the main header */
-- if (headerIsEntry(h, xl->xtag))
-+ if (headerIsEntry(h, xl->xtag)) {
-+ /* Some tags may exist in either header, but never both */
-+ if (xl->quirk && !headerIsEntry(sigh, xl->stag))
-+ continue;
- goto exit;
-+ }
- }
-
- rpmtdReset(&td);
diff --git a/source/d/lua/lua.SlackBuild b/source/d/lua/lua.SlackBuild
new file mode 100755
index 000000000..69c525eaf
--- /dev/null
+++ b/source/d/lua/lua.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/sh
+
+# Slackware build script for Lua
+
+# Written by Menno Duursma
+# Modified by the SlackBuilds.org project
+# Modified by Aaron W. Hsu
+# Updated by Matteo Bernardini
+# Upgraded by Patrick Volkerding
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PKGNAM=lua
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $PKG $TMP
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-${VERSION}.tar.?z || exit 1
+cd $PKGNAM-$VERSION
+chown -R root:root .
+
+# Fix up a to-be-installed header:
+sed -i "s|/usr/local|/usr|" src/luaconf.h
+sed -i "s|lib/lua|lib$LIBDIRSUFFIX/lua|" src/luaconf.h
+
+make linux \
+ CFLAGS="$SLKCFLAGS \$(MYCFLAGS)" \
+ INSTALL_TOP=/usr \
+ INSTALL_LIB=/usr/lib${LIBDIRSUFFIX} \
+ INSTALL_LMOD=/usr/share/lua/$(echo $VERSION | cut -f 1-2 -d .) \
+ INSTALL_CMOD=/usr/lib${LIBDIRSUFFIX}/lua/$(echo $VERSION | cut -f 1-2 -d .) || exit 1
+
+make linux install \
+ CFLAGS="$SLKCFLAGS \$(MYCFLAGS)" \
+ INSTALL_TOP=$PKG/usr \
+ INSTALL_LIB=$PKG/usr/lib${LIBDIRSUFFIX} \
+ INSTALL_LMOD=$PKG/usr/share/lua/$(echo $VERSION | cut -f 1-2 -d .) \
+ INSTALL_CMOD=$PKG/usr/lib${LIBDIRSUFFIX}/lua/$(echo $VERSION | cut -f 1-2 -d .) || exit 1
+
+# Now let's build the shared library
+mkdir -p shared
+cd shared
+ ar -x $PKG/usr/lib${LIBDIRSUFFIX}/liblua.a || exit 1
+ gcc -ldl -lreadline -lhistory -lncurses -lm -shared *.o -o liblua.so.$VERSION || exit 1
+ cp -a liblua.so.$VERSION $PKG/usr/lib${LIBDIRSUFFIX} || exit 1
+ ( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -s liblua.so.$VERSION liblua.so.$(echo $VERSION | cut -f 1-2 -d .)
+ ln -s liblua.so.$VERSION liblua.so.$(echo $VERSION | cut -f 1 -d .)
+ ln -s liblua.so.$VERSION liblua.so
+ )
+cd ..
+
+## On second thought, this *might* be useful
+## Don't ship the static library:
+#rm -f $PKG/usr/lib${LIBDIRSUFFIX}/liblua.a
+
+# and install the pkgconfig file
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+cat $CWD/lua.pc | sed "s/%V%/$(echo $VERSION | cut -f 1-2 -d .)/g" | sed "s/%R%/$VERSION/g" > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/lua.pc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{extras,html}
+cp -a COPYRIGHT* HISTORY* INSTALL* README* $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a doc/*.html doc/logo.gif doc/lua.css $PKG/usr/doc/$PKGNAM-$VERSION/html
+cp -a etc test $PKG/usr/doc/$PKGNAM-$VERSION/extras
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/d/lua/lua.pc b/source/d/lua/lua.pc
new file mode 100644
index 000000000..cd31e712c
--- /dev/null
+++ b/source/d/lua/lua.pc
@@ -0,0 +1,31 @@
+# lua.pc -- pkg-config data for Lua
+
+# vars from install Makefile
+
+# grep '^V=' ../Makefile
+V=%V%
+# grep '^R=' ../Makefile
+R=%R%
+
+# grep '^INSTALL_.*=' ../Makefile | sed 's/INSTALL_TOP/prefix/'
+prefix= /usr/local
+INSTALL_BIN= ${prefix}/bin
+INSTALL_INC= ${prefix}/include
+INSTALL_LIB= ${prefix}/lib
+INSTALL_MAN= ${prefix}/man/man1
+INSTALL_LMOD= ${prefix}/share/lua/${V}
+INSTALL_CMOD= ${prefix}/lib/lua/${V}
+
+# canonical vars
+exec_prefix=${prefix}
+libdir=${exec_prefix}/lib
+includedir=${prefix}/include
+
+Name: Lua
+Description: An Extensible Extension Language
+Version: ${R}
+Requires:
+Libs: -L${libdir} -llua -lm
+Cflags: -I${includedir}
+
+# (end of lua.pc)
diff --git a/source/d/lua/lua.url b/source/d/lua/lua.url
new file mode 100644
index 000000000..8f32dc15c
--- /dev/null
+++ b/source/d/lua/lua.url
@@ -0,0 +1 @@
+http://www.lua.org/ftp
diff --git a/source/d/lua/slack-desc b/source/d/lua/slack-desc
new file mode 100644
index 000000000..15ad351f3
--- /dev/null
+++ b/source/d/lua/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lua: Lua (fast, light-weight, embeddable scripting language)
+lua:
+lua: Lua combines simple procedural syntax with powerful data description
+lua: constructs based on associative arrays and extensible semantics. Lua
+lua: is dynamically typed, runs by interpreting bytecode for a register-
+lua: based virtual machine, and has automatic memory management with
+lua: incremental garbage collection, making it ideal for configuration,
+lua: scripting, and rapid prototyping.
+lua:
+lua: Homepage: http://www.lua.org
+lua:
diff --git a/source/xap/hexchat/hexchat.SlackBuild b/source/xap/hexchat/hexchat.SlackBuild
index eedc918f5..ccc936043 100755
--- a/source/xap/hexchat/hexchat.SlackBuild
+++ b/source/xap/hexchat/hexchat.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2016, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2016, 2018, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=hexchat
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -93,7 +93,7 @@ meson setup \
--localstatedir=/var \
-Dtext-frontend=true \
-Dtls=enabled \
- -Dwith-lua=false \
+ -Dwith-lua=lua \
-Dwith-python=python3-embed \
.. || exit 1
"${NINJA:=ninja}" $NUMJOBS || exit 1